org.apache.poi.hslf.record

## Class DummyPositionSensitiveRecordWithChildren

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordContainer
    - - org.apache.poi.hslf.record.PositionDependentRecordContainer
      - - org.apache.poi.hslf.record.DummyPositionSensitiveRecordWithChildren

- All Implemented Interfaces:
    GenericRecord, PositionDependentRecord

      public final class DummyPositionSensitiveRecordWithChildren
      extends PositionDependentRecordContainer

  If we come across a record we know has children of (potential) interest, but where the record itself is boring, but where other records may care about where this one lives, we create one of these. It allows us to get at the children, and track where on disk this is, but not much else. Anything done using this should quite quickly be transitioned to its own proper record class!
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.RecordContainer

      `_children`

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DummyPositionSensitiveRecordWithChildren(byte[] source, int start, int len)` Create a new holder for a boring record with children, but with position dependent characteristics

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getRecordType()` Return the value we were given at creation
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer

      `getLastOnDiskOffset, getSheetId, setLastOnDiskOffset, setSheetId, updateOtherRecordReferences`

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordContainer

      `addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, getGenericProperties, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyPositionSensitiveRecordWithChildren

          protected DummyPositionSensitiveRecordWithChildren(byte[] source,
                                                             int start,
                                                             int len)

      Create a new holder for a boring record with children, but with position dependent characteristics

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Return the value we were given at creation
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.